net.minecraft.block

## Class BlockTNT

- java.lang.Object
- - net.minecraft.block.Block
  - - net.minecraft.block.BlockTNT

-     public class BlockTNT
      extends Block

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.block.Block

      `Block.SoundType`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.block.Block

      `blockConstructorCalled, blockHardness, blockIcon, blockMaterial, blockParticleGravity, blockRegistry, blockResistance, canBlockGrass, capturedDrops, captureDrops, enableStats, harvesters, isBlockContainer, lightOpacity, lightValue, maxX, maxY, maxZ, minX, minY, minZ, needsRandomTick, opaque, slipperiness, soundTypeAnvil, soundTypeCloth, soundTypeGlass, soundTypeGrass, soundTypeGravel, soundTypeLadder, soundTypeMetal, soundTypePiston, soundTypeSand, soundTypeSnow, soundTypeStone, soundTypeWood, stepSound, textureName, useNeighborBrightness`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockTNT()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canDropFromExplosion(Explosion p_149659_1_)`
    `void` | `func_150114_a(World p_150114_1_, int p_150114_2_, int p_150114_3_, int p_150114_4_, int p_150114_5_, EntityLivingBase p_150114_6_)`
    `IIcon` | `getIcon(int p_149691_1_, int p_149691_2_)`
    `boolean` | `onBlockActivated(World p_149727_1_, int p_149727_2_, int p_149727_3_, int p_149727_4_, EntityPlayer p_149727_5_, int p_149727_6_, float p_149727_7_, float p_149727_8_, float p_149727_9_)`
    `void` | `onBlockAdded(World p_149726_1_, int p_149726_2_, int p_149726_3_, int p_149726_4_)`
    `void` | `onBlockDestroyedByExplosion(World p_149723_1_, int p_149723_2_, int p_149723_3_, int p_149723_4_, Explosion p_149723_5_)`
    `void` | `onBlockDestroyedByPlayer(World p_149664_1_, int p_149664_2_, int p_149664_3_, int p_149664_4_, int p_149664_5_)`
    `void` | `onEntityCollidedWithBlock(World p_149670_1_, int p_149670_2_, int p_149670_3_, int p_149670_4_, Entity p_149670_5_)`
    `void` | `onNeighborBlockChange(World p_149695_1_, int p_149695_2_, int p_149695_3_, int p_149695_4_, Block p_149695_5_)`
    `int` | `quantityDropped(java.util.Random p_149745_1_)`
    `void` | `registerBlockIcons(IIconRegister p_149651_1_)`

    - ### Methods inherited from class net.minecraft.block.Block

      `addCollisionBoxesToList, addDestroyEffects, addHitEffects, beginLeavesDecay, breakBlock, canBeReplacedByLeaves, canBlockStay, canCollideCheck, canConnectRedstone, canCreatureSpawn, canEntityDestroy, canHarvestBlock, canPlaceBlockAt, canPlaceBlockOnSide, canPlaceTorchOnTop, canProvidePower, canRenderInPass, canReplace, canSilkHarvest, canSilkHarvest, canSustainLeaves, canSustainPlant, captureDrops, collisionRayTrace, colorMultiplier, createStackedBlock, createTileEntity, damageDropped, disableStats, dropBlockAsItem, dropBlockAsItem, dropBlockAsItemWithChance, dropXpOnBlockBreak, fillWithRain, func_149698_L, func_149730_j, func_149735_b, getAmbientOcclusionLightValue, getBedDirection, getBedSpawnPosition, getBlockBoundsMaxX, getBlockBoundsMaxY, getBlockBoundsMaxZ, getBlockBoundsMinX, getBlockBoundsMinY, getBlockBoundsMinZ, getBlockById, getBlockColor, getBlockFromItem, getBlockFromName, getBlockHardness, getBlocksMovement, getBlockTextureFromSide, getCanBlockGrass, getCollisionBoundingBoxFromPool, getComparatorInputOverride, getCreativeTabToDisplayOn, getDamageValue, getDrops, getEnableStats, getEnchantPowerBonus, getExpDrop, getExplosionResistance, getExplosionResistance, getFireSpreadSpeed, getFlammability, getHarvestLevel, getHarvestTool, getIcon, getIdFromBlock, getItem, getItemDropped, getItemIconName, getLightOpacity, getLightOpacity, getLightValue, getLightValue, getLocalizedName, getMapColor, getMaterial, getMixedBrightnessForBlock, getMobilityFlag, getPickBlock, getPlayerRelativeBlockHardness, getRenderBlockPass, getRenderColor, getRenderType, getSelectedBoundingBoxFromPool, getSubBlocks, getTextureName, getTickRandomly, getUnlocalizedName, getUseNeighborBrightness, getValidRotations, getWeakChanges, harvestBlock, hasComparatorInputOverride, hasTileEntity, hasTileEntity, isAir, isAssociatedBlock, isBeaconBase, isBed, isBedFoot, isBlockNormalCube, isBlockSolid, isBurning, isCollidable, isEqualTo, isFertile, isFireSource, isFlammable, isFlowerPot, isFoliage, isLadder, isLeaves, isNormalCube, isNormalCube, isOpaqueCube, isProvidingStrongPower, isProvidingWeakPower, isReplaceable, isReplaceableOreGen, isSideSolid, isToolEffective, isWood, onBlockClicked, onBlockEventReceived, onBlockExploded, onBlockHarvested, onBlockPlaced, onBlockPlacedBy, onBlockPreDestroy, onEntityWalking, onFallenUpon, onNeighborChange, onPlantGrow, onPostBlockPlaced, quantityDropped, quantityDroppedWithBonus, randomDisplayTick, recolourBlock, registerBlocks, removedByPlayer, renderAsNormalBlock, rotateBlock, setBedOccupied, setBlockBounds, setBlockBoundsBasedOnState, setBlockBoundsForItemRender, setBlockName, setBlockTextureName, setBlockUnbreakable, setCreativeTab, setHardness, setHarvestLevel, setHarvestLevel, setLightLevel, setLightOpacity, setResistance, setStepSound, setTickRandomly, shouldCheckWeakPower, shouldSideBeRendered, tickRate, updateTick, velocityToAddToEntity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockTNT

          public BlockTNT()

  - ### Method Detail

    - #### getIcon

          public IIcon getIcon(int p_149691_1_,
                      int p_149691_2_)

      Overrides:
        `getIcon` in class `Block`

    - #### onBlockAdded

          public void onBlockAdded(World p_149726_1_,
                          int p_149726_2_,
                          int p_149726_3_,
                          int p_149726_4_)

      Overrides:
        `onBlockAdded` in class `Block`

    - #### onNeighborBlockChange

          public void onNeighborBlockChange(World p_149695_1_,
                                   int p_149695_2_,
                                   int p_149695_3_,
                                   int p_149695_4_,
                                   Block p_149695_5_)

      Overrides:
        `onNeighborBlockChange` in class `Block`

    - #### quantityDropped

          public int quantityDropped(java.util.Random p_149745_1_)

      Overrides:
        `quantityDropped` in class `Block`

    - #### onBlockDestroyedByExplosion

          public void onBlockDestroyedByExplosion(World p_149723_1_,
                                         int p_149723_2_,
                                         int p_149723_3_,
                                         int p_149723_4_,
                                         Explosion p_149723_5_)

      Overrides:
        `onBlockDestroyedByExplosion` in class `Block`

    - #### onBlockDestroyedByPlayer

          public void onBlockDestroyedByPlayer(World p_149664_1_,
                                      int p_149664_2_,
                                      int p_149664_3_,
                                      int p_149664_4_,
                                      int p_149664_5_)

      Overrides:
        `onBlockDestroyedByPlayer` in class `Block`

    - #### func_150114_a

          public void func_150114_a(World p_150114_1_,
                           int p_150114_2_,
                           int p_150114_3_,
                           int p_150114_4_,
                           int p_150114_5_,
                           EntityLivingBase p_150114_6_)

    - #### onBlockActivated

          public boolean onBlockActivated(World p_149727_1_,
                                 int p_149727_2_,
                                 int p_149727_3_,
                                 int p_149727_4_,
                                 EntityPlayer p_149727_5_,
                                 int p_149727_6_,
                                 float p_149727_7_,
                                 float p_149727_8_,
                                 float p_149727_9_)

      Overrides:
        `onBlockActivated` in class `Block`

    - #### onEntityCollidedWithBlock

          public void onEntityCollidedWithBlock(World p_149670_1_,
                                       int p_149670_2_,
                                       int p_149670_3_,
                                       int p_149670_4_,
                                       Entity p_149670_5_)

      Overrides:
        `onEntityCollidedWithBlock` in class `Block`

    - #### canDropFromExplosion

          public boolean canDropFromExplosion(Explosion p_149659_1_)

      Overrides:
        `canDropFromExplosion` in class `Block`

    - #### registerBlockIcons

          public void registerBlockIcons(IIconRegister p_149651_1_)

      Overrides:
        `registerBlockIcons` in class `Block`